### Method

# Gck Attribute init_boolean

#### Declaration [src]

    void
    gck_attribute_init_boolean (
      GckAttribute* attr,
      gulong attr_type,
      gboolean value
    )

#### Description [src]

Initialize a PKCS#11 attribute to boolean. This will result in a CK_BBOOL attribute from the PKCS#11 specs.

When done with the attribute you should use `gck_attribute_clear()` to free the internal memory.

This method is not directly available to language bindings.

#### Parameters

`attr_type`

  Type: `gulong`

  The PKCS#11 attribute type to set on the attribute.

`value`

  Type: `gboolean`

  The boolean value of the attribute.